#
#	EditText Sample Control Panel Device
#
#	EditCdev
#
#	PEditCdev.make	-	Make Source
#
#	Copyright  1988 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	1.0					8/88
#
#	Components:	EditCdev.p			August 1, 1988
#				EditCdev.c			August 1, 1988
#				EditCdev.r			August 1, 1988
#				PEditCdev.make		August 1, 1988
#				CEditCdev.make		August 1, 1988
#
#	EditCdev is a sample Control Panel device (cdev) that 
#	demonstrates the usage of the edit-related messages.  
#	EditCdev demonstrates how to implement an editText item
#	in a Control Panel Device.  It utilizes the new undo, cut, copy,
#	paste, and delete messages that are sent to cdevs in
#	response to user menu selections.
#
#	It is comprised of two editText items that can be edited 
#	and moved between via the mouse or tab key.
#

SrcName			=	MoCDEV
Lang			=	P
CdevName		=	MoCDEV
CdevType		=	MOmn

Objs			=	{SrcName}.{Lang}.o 
					"{Libraries}"Interface.o 
					"{Libraries}"Runtime.o 
					"{PLibraries}"PasLib.o 
					"{PLibraries}"SANELib.o

{CdevName}			{Objs} {CdevName}.make
		Link -o {Targ} -rt cdev=-4064 -sg cdev -m CDEVENTRY {Objs} && 
			Setfile {CdevName} -a B

{CdevName}			{SrcName}.r {CdevName}.make
		Rez -o {Targ} {SrcName}.r -t cdev -c {CdevType} -rd -append && 
			Setfile {CdevName} -a B
